Subject: Re: bug#32703: echo_man_error

From: Pádraig Brady <[email-masked]>
Date: Mon, 24 Sep 2018 21:10:54 -0700

On 24/09/18 14:47, Bernhard Voelker wrote:
> On 9/24/18 4:48 AM, Pádraig Brady wrote:
>> I'll push the attached later.
>> Interesting there were no echo tests until now.
> 
> Nice work, indeed.
> 
> Additionally to Eric's comment, I'd suggest to increase the coverage
> for 'echo' to about 100% [1] with the attached patch:
> 
> *  src/echo.c (usage): Assert that STATUS is always EXIT_SUCCESS.
> * tests/misc/echo.sh: Add further tests for all hex and escape and
> escape characters.
> 
> You may simply squash it in.
> 
> [1] To get coverage statistic, run:
>   make coverage -j 4 TESTS=tests/misc/echo.sh SUBDIRS=.
>   xdg-open file:doc/coverage/src/echo.c.gcov.frameset.html
> 
> 
> Have a nice day,
> Berny
> 

Excellent!
I'll push this as its own patch.

thanks!
Pádraig